version: 2

python:
  install:
    - requirements: .readthedocs-requirements.txt
    - path: .
      extra_requirements:
        - doc

build:
  apt_packages:
    - graphviz
    - libkrb5-dev
  os: ubuntu-22.04
  tools:
    python: '3.11'

sphinx:
  configuration: doc/conf.py
